tigase.xml

## Enum SimpleParser.EntityType

- java.lang.Object
- - java.lang.Enum<SimpleParser.EntityType>
  - - tigase.xml.SimpleParser.EntityType

- All Implemented Interfaces:
    Serializable, Comparable<SimpleParser.EntityType>
  Enclosing class:
    SimpleParser

      protected static enum SimpleParser.EntityType
      extends Enum<SimpleParser.EntityType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CODEPOINT`
    `CODEPOINT_DEC`
    `CODEPOINT_HEX`
    `NAMED`
    `UNKNOWN`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SimpleParser.EntityType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SimpleParser.EntityType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final SimpleParser.EntityType UNKNOWN

    - #### NAMED

          public static final SimpleParser.EntityType NAMED

    - #### CODEPOINT

          public static final SimpleParser.EntityType CODEPOINT

    - #### CODEPOINT_DEC

          public static final SimpleParser.EntityType CODEPOINT_DEC

    - #### CODEPOINT_HEX

          public static final SimpleParser.EntityType CODEPOINT_HEX

  - ### Method Detail

    - #### values

          public static SimpleParser.EntityType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SimpleParser.EntityType c : SimpleParser.EntityType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SimpleParser.EntityType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.